Package Details: auto-multiple-choice 1.3.0-1

Git Clone URL: (read-only)
Package Base: auto-multiple-choice
Description: AMC est un ensemble d'utilitaires permettant de créer, gérer et corriger automatiquement des questionnaires à choix multiples (QCM)
Upstream URL:
Licenses: GPL
Submitter: tlegrand
Maintainer: tlegrand
Last Packager: tlegrand
Votes: 4
Popularity: 0.000043
First Submitted: 2015-11-06 14:23
Last Updated: 2017-09-03 20:13

Latest Comments

greenbaron commented on 2018-02-01 16:25

1) Should add the dependencies: perl-openoffice-oodoc, perl-email-mime and perl-email-sender and perl-module-pluggable since they are necessary to export the marks to Libreoffice format and to send the grades by email.

2) As davebloggt noted I needed to do:

sudo sed -i 's/use encoding "utf-8";/use utf8;/' /usr/lib/AMC/perl/*.pl

but also:

sudo sed -i "s/use encoding 'utf8'/use utf8/g" /usr/share/perl5/vendor_perl/AMC/*.pm

The second line is needed for annotations. Note: post edited to add more dependencies as I found them

davebloggt commented on 2017-09-29 20:54

If AMC does not work, you can use this sed command:

sed -i 's/use encoding "utf-8";/use utf8;/' *.pl

Run it as root in /usr/lib/AMC/perl. It replaces the unsupported encoding statement at the beginning of the perl files with the correct one.

troisqua commented on 2017-06-06 21:04 is not responding ?

terminux32 commented on 2017-05-08 17:02

Work for me.

piR commented on 2017-03-10 05:14

The installation of this package fails due to the dependency to perl-glib-object-introspection 0.040-1 : it seems that this package moved to another version (0.042). Could you please update the PKGBUILD ?

ytterbium commented on 2016-03-17 21:29

The version 1.3.0 has just been out.